<?php
/******************************************************************************/
//                                                                            //
//                             InstantCMS v1.9                                //
//                        http://www.instantcms.ru/                           //
//                                                                            //
//                   written by InstantCMS Team, 2007-2010                    //
//                produced by InstantSoft, (www.instantsoft.ru)               //
//                                                                            //
//                        LICENSED BY GNU/GPL v2                              //
//                                                                            //
/******************************************************************************/

class p_sceditor extends cmsPlugin {

// ==================================================================== //

    public function __construct(){
        
        parent::__construct();

        $this->info['plugin']           = 'p_sceditor';
        $this->info['title']            = 'SamClarke_Editor';
        $this->info['description']      = '  ';
        $this->info['author']           = 'recoded by Mike';
        $this->info['version']          = '1.9.0a';
        $this->info['type']             = 'wysiwyg';

        $this->events[]                 = 'INSERT_WYSIWYG';

    }

// ==================================================================== //

    public function install(){

        return parent::install();

    }

// ==================================================================== //

    public function upgrade(){

        return parent::upgrade();

    }

// ==================================================================== //

    public function execute($event, $item){

        parent::execute();

        $inCore     = cmsCore::getInstance();
        $inUser = cmsUser::getInstance();
        $inPage = cmsPage::getInstance();
        
        if (!$item['width']) { $item['width'] = '100%'; }
        if (!$item['height']) { $item['height'] = '300px'; }

        if (!preg_match('/([^0-9])/i', $item['width'])) { $item['width'] = $item['width'].'%'; }
        if (!preg_match('/([^0-9])/i', $item['height'])) { $item['height'] = $item['height'].'px'; }
        
        $item['m_name'] = str_replace('[', '', $item['name']);
        $item['m_name'] = str_replace(']', '', $item['m_name']);
        
        $m_name = $item['m_name'];
        $name = $item['name'];
        //$lang = $this->config[' '];
        $w = $item['width'];
        $h = $item['height'];
        $txt = $item['text'];
        $tbar = "";
        if ($inUser->is_admin) {
            $tbar = "bold,italic,underline,strike,subscript,superscript|left,center,right,justify|font,size,color,removeformat|cut,copy,paste,pastetext|bulletlist,orderedlist|table|code,quote|horizontalrule,image,email,link,unlink|emoticon,youtube,date,time|print,source";
        } else {
            $tbar = "bold,italic,underline,strike,subscript,superscript|left,center,right,justify|font,size,color,removeformat|cut,copy,paste,pastetext|bulletlist,orderedlist|table,quote|horizontalrule,image,email,link,unlink|emoticon,youtube,date,time|print,source";
        }
        

$html = <<<_OUT
<link rel="stylesheet" type="text/css" href="/plugins/p_sceditor/minified/jquery.sceditor.min.css" />
<script type="text/javascript" src="/plugins/p_sceditor/minified/jquery.sceditor.min.js"></script>
<script type="text/javascript" src="/plugins/p_sceditor/languages/ru.js"></script>
<script language="javascript">

$(document).ready(function() {
     var t_bar = "$tbar";
   $("#$m_name").sceditor({// Toolbar buttons order and groups. Should be comma seperated and have a bar | to seperate groups
        toolbar: t_bar,

        // Stylesheet to include in the WYSIWYG editor. Will style the WYSIWYG elements
        style: "/plugins/p_sceditor/jquery.sceditor.default.css",

        // Comma seperated list of fonts for the font selector
        fonts: "Arial,Arial Black,Comic Sans MS,Courier New,Georgia,Impact,Sans-serif,Serif,Times New Roman,Trebuchet MS,Verdana",

        // Colors should be comma seperated and have a bar | to signal a new column. If null the colors will be auto generated.
        colors: null,
        
        locale: "ru",
        
        charset: "UTF-8",

        // compatibility mode for if you have emoticons such as :/ This mode requires
        // emoticons to be surrounded by whitespace or end of line chars. This mode
        // has limited As You Type emoticon converstion support (end of line chars)
        // are not accepted as whitespace so only emoticons surrounded by whitespace
        // will work
        emoticonsCompat: false,
        emoticonsRoot: '',
        emoticons:    {
                    dropdown: {
                        ":)": "/plugins/p_sceditor/emoticons/smile.png",
                        ":angel:": "/plugins/p_sceditor/emoticons/angel.png",
                        ":angry:": "/plugins/p_sceditor/emoticons/angry.png",
                        "8-)": "/plugins/p_sceditor/emoticons/cool.png",
                        ":'(": "/plugins/p_sceditor/emoticons/cwy.png",
                        ":ermm:": "/plugins/p_sceditor/emoticons/ermm.png",
                        ":D": "/plugins/p_sceditor/emoticons/grin.png",
                        "<3": "/plugins/p_sceditor/emoticons/heart.png",
                        ":(": "/plugins/p_sceditor/emoticons/sad.png",
                        ":O": "/plugins/p_sceditor/emoticons/shocked.png",
                        ":P": "/plugins/p_sceditor/emoticons/tongue.png",
                        ";)": "/plugins/p_sceditor/emoticons/wink.png"
                    },
                    more: {
                        ":alien:": "/plugins/p_sceditor/emoticons/alien.png",
                        ":blink:": "/plugins/p_sceditor/emoticons/blink.png",
                        ":blush:": "/plugins/p_sceditor/emoticons/blush.png",
                        ":cheerful:": "/plugins/p_sceditor/emoticons/cheerful.png",
                        ":devil:": "/plugins/p_sceditor/emoticons/devil.png",
                        ":dizzy:": "/plugins/p_sceditor/emoticons/dizzy.png",
                        ":getlost:": "/plugins/p_sceditor/emoticons/getlost.png",
                        ":happy:": "/plugins/p_sceditor/emoticons/happy.png",
                        ":kissing:": "/plugins/p_sceditor/emoticons/kissing.png",
                        ":ninja:": "/plugins/p_sceditor/emoticons/ninja.png",
                        ":pinch:": "/plugins/p_sceditor/emoticons/pinch.png",
                        ":pouty:": "/plugins/p_sceditor/emoticons/pouty.png",
                        ":sick:": "/plugins/p_sceditor/emoticons/sick.png",
                        ":sideways:": "/plugins/p_sceditor/emoticons/sideways.png",
                        ":silly:": "/plugins/p_sceditor/emoticons/silly.png",
                        ":sleeping:": "/plugins/p_sceditor/emoticons/sleeping.png",
                        ":unsure:": "/plugins/p_sceditor/emoticons/unsure.png",
                        ":woot:": "/plugins/p_sceditor/emoticons/w00t.png",
                        ":wassat:": "/plugins/p_sceditor/emoticons/wassat.png"
                    },
                    hidden: {
                        ":whistling:": "/plugins/p_sceditor/emoticons/whistling.png",
                        ":love:": "/plugins/p_sceditor/emoticons/wub.png"
                    }
                },

        // Width of the editor. Set to null for automatic with
        width: null,

        // Height of the editor including toolbat. Set to null for automatic height
        height: null,

        // If to allow the editor to be resized
        resizeEnabled: true,

        // Min resize to width, set to null for half textarea width or -1 for unlimited
        resizeMinWidth: null,
        // Min resize to height, set to null for half textarea height or -1 for unlimited
        resizeMinHeight: null,
        // Max resize to height, set to null for double textarea height or -1 for unlimited
        resizeMaxHeight: null,
        // Max resize to width, set to null for double textarea width or -1 for unlimited
        resizeMaxWidth: null,

        getHtmlHandler: null,
        getTextHandler: null,
        
        // date format. year, month and day will be replaced with the users current year, month and day.
        dateFormat: "day-month-year",

        toolbarContainer: null
    });
   });

</script>
<textarea id="$m_name" name="$name" style="width: 98%; height: $h;">$txt</textarea>
_OUT;

        return $html;

    }

// ==================================================================== //

}

?>
